Name:		vala-panel-genmon
Version:	5.1.0
Release:	alt1
Summary:	Cyclically spawns a script/program, captures its output and displays the resulting string in the panel
License:	LGPL
Url:		https://gitlab.com/vala-panel-project/xfce4-genmon-plugin
Group:          System/GUI/Other
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	gtk3
#BuildRequires:	libpeas
#BuildRequires:	mate-panel
#BuildRequires:	xfce4-panel >= 4.11.2
BuildRequires:	vala-panel-devel >= 0.4.60
#BuildRequires:	budgie-desktop
Source0:	https://gitlab.com/vala-panel-project/xfce4-genmon-plugin/-/archive/master/xfce4-genmon-plugin-master.tar
Source1:	https://gitlab.com/vala-panel-project/cmake-vala/-/archive/master/cmake-vala-master.tar
Autoreq:	noshell
Autoreq:	noperl

%description
Cyclically spawns a script/program, captures its output and displays the resulting string in the panel

%prep
%setup -n xfce4-genmon-plugin-master
%__tar -xvf %SOURCE1 -C .
cp -r cmake-vala-master/* .

%build
%meson -Dvalapanel=enabled 
%meson_build 

%install
%meson_install
%find_lang %{name}
mkdir -p  %buildroot/%_datadir/doc/%name/example
mv %buildroot/usr/share/genmon/doc/* %buildroot/%_datadir/doc/%name
mv %buildroot/usr/lib/genmon/* %buildroot/%_datadir/doc/%name/example

%files -f %{name}.lang
#doc LICENSE README.md 
%{_libdir}/*
%{_datadir}/*
%exclude %{_datadir}/genmon


%changelog
* Sat Feb 03 2024 sfs <sfslinux@.gmail.com> 5.0.0
- Initial version
